Intel WiFi Linux driver update for ETSI 5GHz Adaptivity Requirement

Bug #1769980 reported by Anthony Wong on 2018-05-08
20
This bug affects 2 people
Affects Status Importance Assigned to Milestone
HWE Next
Critical
Unassigned
OEM Priority Project
Critical
Unassigned
crda (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned
linux (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
Bionic
Undecided
Anthony Wong
linux-firmware (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Anthony Wong
Bionic
Undecided
Anthony Wong
linux-oem (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Anthony Wong
Bionic
Undecided
Anthony Wong
wireless-regdb (Ubuntu)
Undecided
Seth Forshee
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned

Bug Description

Intel wireless driver and firmware require updates in order to meet the new ETSI regulation [1] for OEM machines shipped from factories.

Intel provided us the following information for what are required to update:

1. Kernel driver:

https://patchwork.kernel.org/patch/10322121/
https://patchwork.kernel.org/patch/10312731/
https://patchwork.kernel.org/patch/10312735/
https://patchwork.kernel.org/patch/10312733/

- 7260, 7265, 7265D and 3168 NICs, 4.15 plus above driver patches
- 8000 series requires 4.16.
- 9000 series requires 4.17.

2. linux-firmware
Requires latest versions from linux-firmware.git

3. wireless-regdb update

[1] http://www.etsi.org/deliver/etsi_en/301800_301899/301893/02.01.01_60/en_301893v020101p.pdf

-----------------------------------------------------------------------
== SRU Justification for linux-firmware ==
[Impact]
Intel released these firmware updates to support the new ETSI 5GHz Adaptivity Requirement, OEM has to meet it in order to ship.

[Test Case]
Check dmesg to confirm the correct firmware is loaded, make sure the revision is correct, and check wifi can functions properly.

[Regression Potential]
It is possible that there is regression introduced by Intel's firmware, so should make sure wifi still works properly after the new firmware is used. We have verified the new firmwares of 7260 and 7265D on 4.4
and 4.15 kernels. The 8000 and 9000 series firmwares have newer API versions and will need to confirm with subsequent driver changes.

---

wireless-regdb SRU Justification

Impact: New regulatory requirements in the EU necessitate updating our wireless regulatory database.

Fix: New upstream release.

Test Case: Minimal testing would be to reload the regdb (can be done with iw built from git or by rebooting) and verifying that you are able to change regulatory domains (e.g., sudo iw reg set US; iw reg get).

Regression Potential: Minimal. Biggest risk would be the inability to load the new database due to the changes in signing, however testing will confirm that appropriate key is present.

tags: added: originate-from-1757035 somerville
description: updated
description: updated
description: updated
description: updated

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1769980

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Seth Forshee (sforshee) wrote :

I'm not sure here whether the xenial nomination is meant to apply to the linux package. If so ...

That list of kernel patches is probably correct for bionic. Xenial however is going to require additional patches. The wmm rules are only available with the newer, extensible regdb format which is supported in 4.15 but not in 4.4. So to have any hope of using the wmm rules with 4.4 there would need to be a number of additional backports.

The wireless-regdb changes for xenial will also need some consideration. With the new regdb format there was also a transition to loading the regdb as a firmware file signed with a key whose public half is baked into the kernel. My thinking is that we should just stop building the regdb files from source and ship the pre-built (and pre-signed) upstream binaries. I think this should be fine for xenial but we will need to verify.

Changed in oem-priority:
importance: Undecided → Critical
status: New → Triaged
Anthony Wong (anthonywong) wrote :

@sforshee

We need to provide a solution for Xenial v4.4 kernel for our OEM projects, but since the kernel is too far behind, we will take another approach to provide the driver update instead of patching the kernel.
Besides v4.4, we also use 16.04.4 in our projects, so we will need to update linux-firmware and wireless-regdb on Xenial. For the kernel we will fix in linux-oem 4.13.

Seth Forshee (sforshee) wrote :

4.13 will also be missing support for the new regulatory database format, so I'd expect the effort to backport there to be similar to that for 4.4.

Anthony Wong (anthonywong) wrote :

Not just the changes to support for the new regulatory database format, but also to support the new firmware, as FW API has bumped and may need to pull in more patches. For example, 3165/7265D/8260 NIC in v4.4 supports FW API from 13 to 19, but the new FW for 3165/7265D has bumped to API 29, and 8260 has bumped to 36.

Seth Forshee (sforshee) wrote :

I released a new wireless-regdb yesterday with the changes needed for this. I've also prepped an update for cosmic and handed it off to apw for review. Once that's done we can backport to bionic at least. For xenial we will need to confirm that the crda version is new enough to ship with my public key first, otherwise signature verification for the db will fail (as the new package will switch from building the db from source to just shipping the dbs and signatures from the upstream release).

Changed in wireless-regdb (Ubuntu):
assignee: nobody → Seth Forshee (sforshee)
status: New → In Progress
Seth Forshee (sforshee) wrote :

@Anthony: will someone be sending a pull request for linux-firmware?

Anthony Wong (anthonywong) wrote :

Yes, I will send one.

Changed in linux-firmware (Ubuntu Xenial):
assignee: nobody → Anthony Wong (anthonywong)
status: New → In Progress
Changed in linux-firmware (Ubuntu Bionic):
assignee: nobody → Anthony Wong (anthonywong)
status: New → In Progress
Changed in linux (Ubuntu Bionic):
assignee: nobody → Anthony Wong (anthonywong)
status: New → In Progress
Changed in linux (Ubuntu Xenial):
assignee: nobody → Anthony Wong (anthonywong)
status: New → In Progress
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Changed in hwe-next:
status: New → In Progress
importance: Undecided → Critical
description: updated
description: updated
Seth Forshee (sforshee) on 2018-05-18
Changed in linux-firmware (Ubuntu):
status: New → Fix Released
Changed in linux-firmware (Ubuntu Bionic):
status: In Progress → Fix Committed
Changed in linux-firmware (Ubuntu Xenial):
status: In Progress → Fix Committed

Hello Anthony, or anyone else affected,

Accepted linux-firmware into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.173.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Łukasz Zemczak (sil2100) wrote :

Hello Anthony, or anyone else affected,

Accepted linux-firmware into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.157.19 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package wireless-regdb - 2018.05.09-0ubuntu1

---------------
wireless-regdb (2018.05.09-0ubuntu1) cosmic; urgency=medium

  * New upstream release. (LP: #1769980)
  * debian/patches:
    - Drop existing patches.
    - 0001-wireless-regdb-Fix-comparison-of-WmmRule-with-NoneTy.patch,
      0002-wireless-regdb-Fix-iteration-in-create_wmms-for-pyth.patch: Fix
      errors when building regdb with python 3.
  * debian/rules: Change to no longer build from source; use upstream
    binaries instead.
  * debian/control: Update Build-Depends and maintainer information

 -- Seth Forshee <email address hidden> Fri, 18 May 2018 12:07:58 -0500

Changed in wireless-regdb (Ubuntu):
status: In Progress → Fix Released
Anthony Wong (anthonywong) wrote :

Verified the new firmwares in xenial-proposed and xenial-bionic are correct.

tags: added: verification-done-bionic verification-done-xenial
Changed in crda (Ubuntu):
status: New → Invalid
Changed in crda (Ubuntu Bionic):
status: New → Invalid
Anthony Wong (anthonywong) wrote :

crda debdiff for Xenial

description: updated
Timo Aaltonen (tjaalton) wrote :

Hello Anthony, or anyone else affected,

Accepted crda into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/crda/3.13-1ubuntu0.16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in crda (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed verification-needed-xenial
removed: verification-done-xenial
Seth Forshee (sforshee) wrote :

Turns out there's a hiccup with the crda update for xenial, unbeknownst to us wireless-regdb is (incorrectly) already installing my public key. The easiest path forward seems to be just leaving crda as is and making the regdb update continue to install my key. As such I'm marking verification for xenial as failed.

tags: added: verification-failed-xenial
removed: verification-needed-xenial
Changed in crda (Ubuntu Xenial):
status: Fix Committed → Invalid
Steve Langasek (vorlon) wrote :

This conflict is causing daily image builds to fail in xenial, so I'm removing the v-failed SRU from xenial-proposed.

Removing packages from xenial-proposed:
 crda 3.13-1ubuntu0.16.04.1 in xenial
  crda 3.13-1ubuntu0.16.04.1 in xenial amd64
  crda 3.13-1ubuntu0.16.04.1 in xenial arm64
  crda 3.13-1ubuntu0.16.04.1 in xenial armhf
  crda 3.13-1ubuntu0.16.04.1 in xenial i386
  crda 3.13-1ubuntu0.16.04.1 in xenial powerpc
  crda 3.13-1ubuntu0.16.04.1 in xenial ppc64el
  crda 3.13-1ubuntu0.16.04.1 in xenial s390x
Comment: verification-failed; LP: #1769980
Remove [y|N]? y
1 package successfully removed.

Anthony Wong (anthonywong) wrote :

Revert the verification-* tags as crda has been removed from -proposed.

tags: added: verification-done-xenial
removed: verification-failed-xenial verification-needed
Changed in linux-oem (Ubuntu Xenial):
assignee: nobody → Anthony Wong (anthonywong)
status: New → In Progress
Changed in linux (Ubuntu Xenial):
assignee: Anthony Wong (anthonywong) → nobody
status: In Progress → Confirmed
Changed in linux (Ubuntu Bionic):
status: In Progress → Confirmed
Changed in linux (Ubuntu Xenial):
status: Confirmed → Won't Fix
Changed in linux-oem (Ubuntu Bionic):
assignee: nobody → Anthony Wong (anthonywong)
status: New → In Progress
description: updated

The verification of the Stable Release Update for linux-firmware has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.157.19

---------------
linux-firmware (1.157.19) xenial; urgency=medium

  * Intel WiFi Linux driver update for ETSI 5GHz Adaptivity Requirement
    (LP: #1769980)
    - iwlwifi: add some new FW versions and update older ones
    - iwlwifi: update firmwares for 3160, 3168 and 7265

 -- Seth Forshee <email address hidden> Fri, 18 May 2018 14:03:25 -0500

Changed in linux-firmware (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.173.1

---------------
linux-firmware (1.173.1) bionic; urgency=medium

  * Redpine: BLE radio lost issue (LP: #1757443)
    - linux-firmware: rsi: update firmware images for Redpine 9113 chipset

  * Intel WiFi Linux driver update for ETSI 5GHz Adaptivity Requirement
    (LP: #1769980)
    - iwlwifi: add some new FW versions and update older ones
    - iwlwifi: update firmwares for 3160, 3168 and 7265

 -- Seth Forshee <email address hidden> Fri, 18 May 2018 13:09:45 -0500

Changed in linux-firmware (Ubuntu Bionic):
status: Fix Committed → Fix Released
Seth Forshee (sforshee) on 2018-05-28
description: updated

Hello Anthony, or anyone else affected,

Accepted wireless-regdb into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/wireless-regdb/2018.05.09-0ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in wireless-regdb (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-bionic
removed: verification-done-bionic
Changed in wireless-regdb (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed-xenial
removed: verification-done-xenial
Łukasz Zemczak (sil2100) wrote :

Hello Anthony, or anyone else affected,

Accepted wireless-regdb into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/wireless-regdb/2018.05.09-0ubuntu1~16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Łukasz Zemczak (sil2100) wrote :

I have accepted both the xenial and bionic wireless-regdb uploads. One thing that stood out was the __eq__ implementation in the 0001-wireless-regdb-Fix-comparison-of-WmmRule-with-NoneTy.patch patch which seems to look a bit strange (no _as_tuple() before the comparison), but I have been informed that even if it's wrong it will have no impact on the actual package. Just something worth noting.

Timo Aaltonen (tjaalton) on 2018-05-29
Changed in linux-oem (Ubuntu Bionic):
status: In Progress → Fix Committed
Changed in linux-oem (Ubuntu Xenial):
status: In Progress → Fix Committed
Changed in linux-oem (Ubuntu):
status: New → Invalid
Launchpad Janitor (janitor) wrote :
Download full text (10.6 KiB)

This bug was fixed in the package linux-oem - 4.13.0-1030.33

---------------
linux-oem (4.13.0-1030.33) xenial; urgency=medium

  * linux-oem: 4.13.0-1030.33 -proposed tracker (LP: #1774126)

  * Miscellaneous Ubuntu changes
    - Rebase to 4.13.0-45.50

  [ Ubuntu: 4.13.0-45.50 ]

  * linux: 4.13.0-45.50 -proposed tracker (LP: #1774124)
  * CVE-2018-3639 (x86)
    - SAUCE: Set generic SSBD feature for Intel cpus

linux-oem (4.13.0-1029.32) xenial; urgency=medium

  * linux-oem: 4.13.0-1029.32 -proposed tracker (LP: #1772956)

  * Enable AMD PCIe MP2 for AMDI0011 (LP: #1773940)
    - SAUCE: i2c:amd I2C Driver based on PCI Interface for upcoming platform

  * Intel WiFi Linux driver update for ETSI 5GHz Adaptivity Requirement
    (LP: #1769980)
    - iwlwifi: track current firmware image in common code
    - iwlwifi: refactor firmware debug code
    - iwlwifi: mvm: support fw reading empty OTP
    - iwlwifi: implement fseq version mismatch warning
    - iwlwifi: mvm: fix the FIFO numbers in A000 devices
    - iwlwifi: mvm: remove non-DQA mode
    - iwlwifi: mvm: check family instead of new TX API for workarounds
    - iwlwifi: mvm: add and use iwl_mvm_has_unified_ucode()
    - iwlwifi: mvm: move a000 device NVM retrieval to a common place
    - Revert "UBUNTU: SAUCE: iwlwifi: Adding missing id A370:42A4"
    - Revert "iwlwifi: fix PCI IDs and configuration mapping for 9000 series"
    - Revert "iwlwifi: fix firmware names for 9000 and A000 series hw"
    - iwlwifi: add support of FPGA fw
    - iwlwifi: fix nmi triggering from host
    - iwlwifi: pcie: free the TSO page when a Tx queue is unmapped on A000 devices
    - iwlwifi: mvm: fix the coex firmware API
    - iwlwifi: mvm: support new Coex firmware API
    - iwlwifi: pcie: support short Tx queues for A000 device family
    - iwlwifi: mvm: group all dummy SAR function declarations together
    - iwlwifi: mvm: use mvmsta consistently in rs.c
    - iwlwifi: distinguish different RF modules in A000 devices
    - iwlwifi: update channel flags parser
    - iwlwifi: mvm: change open and close criteria of a BA session
    - iwlwifi: fw: fix lar_enabled endian problem in iwl_fw_get_nvm
    - iwlwifi: mvm: remove useless argument in iwl_nvm_init()
    - cfg80211: honor NL80211_RRF_NO_HT40{MINUS,PLUS}
    - cfg80211/nl80211: add a port authorized event
    - ieee80211: Add WFA TPC report element OUI type
    - iwlwifi: mvm: bump API to 34 for 8000 and up
    - iwlwifi: fix long debug print
    - iwlwifi: nvm-parse: unify channel flags printing
    - iwlwifi: nvm: set the correct offsets to 3168 series
    - iwlwifi: mvm: Add new quota command API
    - iwlwifi: mvm: remove support for Link Quality Measurements
    - iwlwifi: pcie: dynamic Tx command queue size
    - iwlwifi: acpi: add common code to read from ACPI
    - iwlwifi: acpi: move ACPI method definitions to acpi.h
    - iwlwifi: acpi: move ACPI-related definitions to acpi.h
    - iwlwifi: acpi: generalize iwl_mvm_sar_find_wifi_pkg()
    - iwlwifi: acpi: use iwl_acpi_get_wifi_pkg when reading reading SPLC
    - iwlwifi: acpi: make iwl_get_bios_mcc() use the common acpi functions
    - iwlwifi: acpi: move function to get mcc into acpi code
  ...

Changed in linux-oem (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (13.7 KiB)

This bug was fixed in the package linux-oem - 4.15.0-1008.11

---------------
linux-oem (4.15.0-1008.11) bionic; urgency=medium

  * linux-oem: 4.15.0-1008.11 -proposed tracker (LP: #1774764)

  * [Redpine] Wifi AP does not work (LP: #1774606)
    - Revert "UBUNTU: SAUCE: rsi: drop RX broadcast/multicast packets with invalid
      PN"
    - SAUCE: rsi: fix for 40MHZ connection issue.
    - SAUCE: rsi: add firmware support for AP+BT dual mode

linux-oem (4.15.0-1007.10) bionic; urgency=medium

  * linux-oem: 4.15.0-1007.10 -proposed tracker (LP: #1772933)

  * Intel WiFi Linux driver update for ETSI 5GHz Adaptivity Requirement
    (LP: #1769980)
    - iwlwifi: mvm: add WFA vendor specific TPC report IE to probe request
    - iwlwifi: mvm: remove set but unused variable in iwl_mvm_roc_done_wk
    - iwlwifi: mvm: rs: introduce new API for rate scaling
    - iwlwifi: mvm: rs: add ops for the new rate scaling in the FW
    - iwlwifi: mvm: rs: add basic implementation of the new RS API handlers
    - iwlwifi: mvm: rs: new rate scale API - add FW notifications
    - iwlwifi: mvm: rs: new rate scale API - add debugfs hooks
    - iwlwifi: mvm: rs: add size checks when printing to a buffer
    - iwlwifi: mvm: rs: add sanity check when sending LQ command
    - iwlwifi: mvm: support RX flags API change
    - iwlwifi: fw: fix the enums in the rate scaling API
    - iwlwifi: mvm: adjust to quota offload
    - iwlwifi: mvm: send the low latency command
    - iwlwifi: define and use if iwl_mvm_has_tlc_offload
    - cfg80211: read wmm rules from regulatory database
    - mac80211: limit wmm params to comply with ETSI requirements
    - cfg80211: Add API to allow querying regdb for wmm_rule
    - iwlwifi: mvm: query regdb for wmm rule if needed
    - iwlwifi: rename the temporary name of A000 to the official 22000
    - iwlwifi: bump FW API to 36 for 8000 and up
    - iwlwifi: bump the max API version for 9000 and 22000 devices
    - iwlwifi: api: Add geographic profile information to MCC_UPDATE_CMD

  * [Redpine] HCI command timeout after resume from S4 (LP: #1772626)
    - SAUCE: Bluetooth: btrsi: add hci detach for hibernation and poweroff
    - SAUCE: Bluetooth:btrsi: add null check in hci send and recv functions
    - SAUCE: Bluetooth:btrsi: fix bt cmd timeout issue

  * Switch Build-Depends: transfig to fig2dev (LP: #1770770)
    - [Config] update Build-Depends: transfig to fig2dev

  * Miscellaneous Ubuntu changes
    - Rebase to 4.15.0-23.25

  [ Ubuntu: 4.15.0-23.25 ]

  * linux: 4.15.0-23.25 -proposed tracker (LP: #1772927)
  * arm64 SDEI support needs trampoline code for KPTI (LP: #1768630)
    - arm64: mmu: add the entry trampolines start/end section markers into
      sections.h
    - arm64: sdei: Add trampoline code for remapping the kernel
  * Some PCIe errors not surfaced through rasdaemon (LP: #1769730)
    - ACPI: APEI: handle PCIe AER errors in separate function
    - ACPI: APEI: call into AER handling regardless of severity
  * qla2xxx: Fix page fault at kmem_cache_alloc_node() (LP: #1770003)
    - scsi: qla2xxx: Fix session cleanup for N2N
    - scsi: qla2xxx: Remove unused argument from qlt_schedule_sess_for_deletion()
    - scsi: qla2xx...

Changed in linux-oem (Ubuntu Bionic):
status: Fix Committed → Fix Released
Anthony Wong (anthonywong) wrote :

Our QA has tested the packages, all work well.

tags: added: verification-done verification-done-bionic verification-done-xenial
removed: verification-needed verification-needed-bionic verification-needed-xenial
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package wireless-regdb - 2018.05.09-0ubuntu1~18.04.1

---------------
wireless-regdb (2018.05.09-0ubuntu1~18.04.1) bionic; urgency=medium

  * New upstream release. (LP: #1769980)
  * debian/patches:
    - Drop existing patches.
    - 0001-wireless-regdb-Fix-comparison-of-WmmRule-with-NoneTy.patch,
      0002-wireless-regdb-Fix-iteration-in-create_wmms-for-pyth.patch: Fix
      errors when building regdb with python 3.
  * debian/rules: Change to no longer build from source; use upstream
    binaries instead.
  * debian/control: Update Build-Depends and maintainer information

 -- Seth Forshee <email address hidden> Wed, 23 May 2018 11:50:25 -0500

Changed in wireless-regdb (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package wireless-regdb - 2018.05.09-0ubuntu1~16.04.1

---------------
wireless-regdb (2018.05.09-0ubuntu1~16.04.1) xenial; urgency=medium

  * New upstream release. (LP: #1769980)
  * debian/patches:
    - Drop existing patches.
    - 0001-wireless-regdb-Fix-comparison-of-WmmRule-with-NoneTy.patch,
      0002-wireless-regdb-Fix-iteration-in-create_wmms-for-pyth.patch: Fix
      errors when building regdb with python 3.
  * debian/rules: Change to no longer build from source; use upstream
    binaries instead.
  * debian/control:
    - bump Standards-Version to 3.9.8.
    - update debhelper Build-Depends to (>= 9).
    - Update Build-Depends and maintainer information.
  * debian/compat: bump to compat level 9.

 -- Seth Forshee <email address hidden> Wed, 23 May 2018 10:38:03 -0500

Changed in wireless-regdb (Ubuntu Xenial):
status: Fix Committed → Fix Released
Changed in hwe-next:
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (13.7 KiB)

This bug was fixed in the package linux-oem - 4.15.0-1008.11

---------------
linux-oem (4.15.0-1008.11) bionic; urgency=medium

  * linux-oem: 4.15.0-1008.11 -proposed tracker (LP: #1774764)

  * [Redpine] Wifi AP does not work (LP: #1774606)
    - Revert "UBUNTU: SAUCE: rsi: drop RX broadcast/multicast packets with invalid
      PN"
    - SAUCE: rsi: fix for 40MHZ connection issue.
    - SAUCE: rsi: add firmware support for AP+BT dual mode

linux-oem (4.15.0-1007.10) bionic; urgency=medium

  * linux-oem: 4.15.0-1007.10 -proposed tracker (LP: #1772933)

  * Intel WiFi Linux driver update for ETSI 5GHz Adaptivity Requirement
    (LP: #1769980)
    - iwlwifi: mvm: add WFA vendor specific TPC report IE to probe request
    - iwlwifi: mvm: remove set but unused variable in iwl_mvm_roc_done_wk
    - iwlwifi: mvm: rs: introduce new API for rate scaling
    - iwlwifi: mvm: rs: add ops for the new rate scaling in the FW
    - iwlwifi: mvm: rs: add basic implementation of the new RS API handlers
    - iwlwifi: mvm: rs: new rate scale API - add FW notifications
    - iwlwifi: mvm: rs: new rate scale API - add debugfs hooks
    - iwlwifi: mvm: rs: add size checks when printing to a buffer
    - iwlwifi: mvm: rs: add sanity check when sending LQ command
    - iwlwifi: mvm: support RX flags API change
    - iwlwifi: fw: fix the enums in the rate scaling API
    - iwlwifi: mvm: adjust to quota offload
    - iwlwifi: mvm: send the low latency command
    - iwlwifi: define and use if iwl_mvm_has_tlc_offload
    - cfg80211: read wmm rules from regulatory database
    - mac80211: limit wmm params to comply with ETSI requirements
    - cfg80211: Add API to allow querying regdb for wmm_rule
    - iwlwifi: mvm: query regdb for wmm rule if needed
    - iwlwifi: rename the temporary name of A000 to the official 22000
    - iwlwifi: bump FW API to 36 for 8000 and up
    - iwlwifi: bump the max API version for 9000 and 22000 devices
    - iwlwifi: api: Add geographic profile information to MCC_UPDATE_CMD

  * [Redpine] HCI command timeout after resume from S4 (LP: #1772626)
    - SAUCE: Bluetooth: btrsi: add hci detach for hibernation and poweroff
    - SAUCE: Bluetooth:btrsi: add null check in hci send and recv functions
    - SAUCE: Bluetooth:btrsi: fix bt cmd timeout issue

  * Switch Build-Depends: transfig to fig2dev (LP: #1770770)
    - [Config] update Build-Depends: transfig to fig2dev

  * Miscellaneous Ubuntu changes
    - Rebase to 4.15.0-23.25

  [ Ubuntu: 4.15.0-23.25 ]

  * linux: 4.15.0-23.25 -proposed tracker (LP: #1772927)
  * arm64 SDEI support needs trampoline code for KPTI (LP: #1768630)
    - arm64: mmu: add the entry trampolines start/end section markers into
      sections.h
    - arm64: sdei: Add trampoline code for remapping the kernel
  * Some PCIe errors not surfaced through rasdaemon (LP: #1769730)
    - ACPI: APEI: handle PCIe AER errors in separate function
    - ACPI: APEI: call into AER handling regardless of severity
  * qla2xxx: Fix page fault at kmem_cache_alloc_node() (LP: #1770003)
    - scsi: qla2xxx: Fix session cleanup for N2N
    - scsi: qla2xxx: Remove unused argument from qlt_schedule_sess_for_deletion()
    - scsi: qla2xx...

Changed in linux-oem (Ubuntu):
status: Invalid → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers